diff -ur kicad-6.0.6/pcbnew/python/swig/connectivity.i kicad-6.0.6-patched/pcbnew/python/swig/connectivity.i
--- kicad-6.0.6/pcbnew/python/swig/connectivity.i	2022-06-17 19:11:16.000000000 -0600
+++ kicad-6.0.6-patched/pcbnew/python/swig/connectivity.i	2022-08-10 00:07:10.740556303 -0600
@@ -28,6 +28,10 @@
 // this shared_ptr line has to be before include connectivity_data.h.
 %shared_ptr(CONNECTIVITY_DATA)
 
+// Ignore the redundant overload to fix the typemap
+%rename(GetConnectedItems2) CONNECTIVITY_DATA::GetConnectedItems(const BOARD_CONNECTED_ITEM* aItem,
+            const KICAD_T aTypes[]) const;
+
 %include connectivity/connectivity_data.h
 
  
